/*
 * oldversions.h
 * Thomas Nemeth, le 24.02.2000 (from acclists.c 18.09.1999)
 *
 * Gestion de la liste des donnes de gAcc, gestionnaire de comptes
 * banquaires personnels avec GTK+.
 *
 *   Copyright (C) 1999  Thomas Nemeth
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _OLDVERSIONS_H_
#define _OLDVERSIONS_H_

#include <stdio.h>
#include <stdlib.h>
#include "structs.h"

/* Accounts files loading functions  */
void read_from_071_to_072 (FILE *file);
void read_from_069_to_070 (FILE *file);
void read_from_066_to_068 (FILE *file);
void read_from_065        (FILE *file);
void read_from_064        (FILE *file);
void read_from_062_to_063 (FILE *file);
void read_from_000_to_061 (FILE *file);

/* Accounts files creating functions */
OPERATION *get_operation_from_line_066_to_068 (const char *line);
OPERATION *get_operation_from_line_065        (const char *line);
OPERATION *get_operation_from_line_069_to_072 (const char *line);

/* Categories loading functions      */
void read_cat_from_000_to_064 (FILE *file);

/* Config loading functions          */
void load_config_from_070_to_071 (FILE *file);
void load_config_from_069        (FILE *file);
void load_config_from_068        (FILE *file);
void load_config_from_000_to_067 (FILE *file);

#endif
